Index: Makefile
===================================================================
--- Makefile	(revision 56)
+++ Makefile	(working copy)
@@ -72,11 +72,11 @@
 LIBPAYLOAD = libpayload/lib/libpayload.a
 INCPAYLOAD = libpayload/include
 INCPAYLOADDRIVERS = libpayload/drivers
-LIBGCC = $(shell $(CC) -print-libgcc-file-name)
+LIBGCC = $(shell $(CC) -m32 -print-libgcc-file-name)
 
 OBJS     := $(patsubst %,$(obj)/%,$(TARGETS-y))
 INCLUDES := -I$(INCPAYLOAD) -I$(INCPAYLOADDRIVERS) -Iinclude -I$(ARCHDIR-y)/include -Ibuild
-INCLUDES += -I$(shell $(CC) -print-search-dirs | head -n 1 | cut -d' ' -f2)include
+INCLUDES += -I$(shell $(CC) -m32 -print-search-dirs | head -n 1 | cut -d' ' -f2)include
 
 try-run= $(shell set -e; \
 TMP=".$$$$.tmp"; \
@@ -86,11 +86,11 @@
 fi; rm -rf "$$TMP")
 
 cc-option= $(call try-run,\
-$(CC) $(1) -S -xc /dev/null -o "$$TMP", $(1), $(2))
+$(CC) -m32 $(1) -S -xc /dev/null -o "$$TMP", $(1), $(2))
 
 STACKPROTECT += $(call cc-option, -fno-stack-protector,)
 
-GCCINCDIR = $(shell $(CC) -print-search-dirs | head -n 1 | cut -d' ' -f2)include
+GCCINCDIR = $(shell $(CC) -m32 -print-search-dirs | head -n 1 | cut -d' ' -f2)include
 CPPFLAGS = -nostdinc -imacros $(obj)/config.h -Iinclude -I$(GCCINCDIR) -MD
 CFLAGS := -Wall $(STACKPROTECT) $(INCLUDES) -Os -fomit-frame-pointer -fno-common -ffreestanding -fno-strict-aliasing
 
